Skip to main content
`Ctrl`+`K`

# MFNSolveTranspose

Solves the transpose matrix function problem. Given a vector \(b\), the vector \(x = f(A^T)b\) is returned.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSolveTranspose(MFN mfn,Vec b,Vec x)

Collective

## Input Parameters

- mfn - the matrix function solver context

- b - the right hand side vector

## Output Parameter

- x - the solution (this may be the same vector as `b`, then `b` will be overwritten with the answer)

## Notes

The matrix \(A\) is specified with `MFNSetOperator()`. The function \(f\) is specified via the `FN` object obtained with `MFNGetFN()` or set with `MFNSetFN()`.

See available command-line options at `MFNSolve()`.

## Developer Notes

This is currently implemented with an explicit transpose matrix created with `MatCreateTranspose()`.

Currently there is no conjugate-transpose version.

## See Also

MFN: Matrix Function, `MFNSolve()`, `MatCreateTranspose()`

## Level

beginner

## Location

src/mfn/interface/mfnsolve.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages